FROM nvcr.io/nvidia/l4t-pytorch:r32.5.0-pth1.7-py3

RUN apt-get update
RUN apt install tzdata ffmpeg libsm6 libxext6 -y

RUN python3 -m pip install --upgrade pip
RUN python3 -m pip install scipy==1.5.4
ADD . /app
WORKDIR /app
RUN python3 -m pip install -r requirements.txt

CMD ["python3","app.py"]
